Script: *list-cmdlets.ps1*
========================

This PowerShell script lists all PowerShell cmdlets.

Parameters
----------
```powershell
PS> ./list-cmdlets.ps1 [<CommonParameters>]

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

Example
-------
```powershell
PS> ./list-cmdlets.ps1



CommandType     Name                                  Version    Source
-----------     ----                                  -------    ------
Function        Add-BCDataCacheExtension              1.0.0.0    BranchCache
Function        Add-BitLockerKeyProtector             1.0.0.0    BitLocker
...

```

Notes
-----
Author: Markus Fleschutz | License: CC0

Related Links
-------------
https://github.com/fleschutz/PowerShell

Script Content
--------------
```powershell
<#
.SYNOPSIS
	Lists all PowerShell cmdlets
.DESCRIPTION
	This PowerShell script lists all PowerShell cmdlets.
.EXAMPLE
	PS> ./list-cmdlets.ps1

	CommandType     Name                                  Version    Source
	-----------     ----                                  -------    ------
	Function        Add-BCDataCacheExtension              1.0.0.0    BranchCache
	Function        Add-BitLockerKeyProtector             1.0.0.0    BitLocker
	...
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

try {
	Get-Command -Command-Type cmdlet
	exit 0 # success
} catch {
	"⚠️ Error in line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
```

*(generated by convert-ps2md.ps1 using the comment-based help of list-cmdlets.ps1 as of 08/15/2024 09:50:49)*
